Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684956 (golang-github-anacrolix-dms) - Review Request: golang-github-anacrolix-dms - A UPnP DLNA Digital Media Server that includes basic video transcoding
Summary: Review Request: golang-github-anacrolix-dms - A UPnP DLNA Digital Media Serve...
Keywords:
Status: CLOSED ERRATA
Alias: golang-github-anacrolix-dms
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hirotaka Wakabayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: golang-github-mattn-gtk
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 01:00 UTC by Robert-André Mauchin
Modified: 2019-04-15 00:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-15 00:02:14 UTC
hiwkby: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-03-04 01:00:52 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone1.45/fedora-rawhide-x86_64/00864260-golang-github-anacrolix-dms/golang-github-anacrolix-dms.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone1.45/fedora-rawhide-x86_64/00864260-golang-github-anacrolix-dms/golang-github-anacrolix-dms-0-0.1.20190304git8af4925.fc30.src.rpm

Description:
dms is a UPnP DLNA Digital Media Server. It runs from the terminal, and serves 
content directly from the filesystem from the working directory, or the path 
given. The SSDP component will broadcast and respond to requests on all 
available network interfaces.

dms advertises and serves the raw files, in addition to alternate transcoded 
streams when it's able, such as mpeg2 PAL-DVD and WebM for the Chromecast. 
It will also provide thumbnails where possible.

dms uses ffprobe/avprobe to get media data such as bitrate and duration, 
ffmpeg/avconv for video transoding, and ffmpegthumbnailer for generating 
thumbnails when browsing. These commands must be in the PATH given to dms or 
the features requiring them will be disabled.

Fedora Account System Username: eclipseo

Comment 2 Hirotaka Wakabayashi 2019-04-07 00:26:03 UTC
Hello Robert-André, please read this for you reference.

Summary
=======

1. rpmlint results
2. Koji scratch build succeeded
3. Others
   
Details
=======

1. rpmlint results
------------------

One error and one warning on the source rpm and 11 warnings on the binary rpms.
Here are the rpmlint results::
  
  $ rpmlint /home/vagrant/rpmbuild/RPMS/noarch/golang-github-anacrolix-dms-devel-0-0.1.20190304git8af4925.fc29.noarch.rpm
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US transcoded -> trans coded, trans-coded, transcended
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffprobe -> ff probe, ff-probe, probe
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US avprobe -> av probe, av-probe, probe
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffmpeg -> MPEG
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US avconv -> concave
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US transoding -> transcending, transposing, transporting
  golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffmpegthumbnailer -> thumbnail
  golang-github-anacrolix-dms-devel.noarch: W: no-documentation
  golang-github-anacrolix-dms-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/anacrolix/dms/.goipath
  1 packages and 0 specfiles checked; 0 errors, 11 warnings.

  $ rpmlint /home/vagrant/rpmbuild/SRPMS/golang-github-anacrolix-dms-0-0.1.20190304git8af4925.fc29.src.rpm
  golang-github-anacrolix-dms.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US transcoded -> trans coded, trans-coded, transcended
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US ffprobe -> ff probe, ff-probe, probe
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US avprobe -> av probe, av-probe, probe
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US ffmpeg -> MPEG
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US avconv -> concave
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US transoding -> transcending, transposing, transporting
  golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US ffmpegthumbnailer -> thumbnail
  golang-github-anacrolix-dms.src: W: no-%build-section
  1 packages and 0 specfiles checked; 0 errors, 10 warnings.

  $ rpmlint golang-github-anacrolix-dms.spec
  golang-github-anacrolix-dms.spec: W: no-%build-section
  0 packages and 1 specfiles checked; 0 errors, 1 warnings.

My review on the result above is as followings.

1.1.  golang-github-anacrolix-dms-devel.noarch: W: no-documentation
You should include any relevant documentation in the source distribution.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_documentation

2. Koji scratch build succeeded
--------------------------------

Here is the result of "koji build --scratch rawhide golang-github-anacrolix-dms-0-0.1.20190304git8af4925.fc31.src.rpm".
https://koji.fedoraproject.org/koji/taskinfo?taskID=34009889

3. Others
----------

This package depends on the github.com/mattn/go-gtk/gdk, which is reviewed in
https://bugzilla.redhat.com/show_bug.cgi?id=1692376

I think the spec file should be changed like the following::
  $ diff -c golang-github-anacrolix-dms.spec.orig golang-github-anacrolix-dms.spec
  *** golang-github-anacrolix-dms.spec.orig       2019-04-06 23:39:40.612938451 +0000
  --- golang-github-anacrolix-dms.spec    2019-04-06 23:40:01.253782349 +0000
  ***************
  *** 42,47 ****
  --- 42,48 ----
  %package devel
    Summary:       %{summary}
    BuildArch:     noarch
  + Requires: golang(github.com/mattn/go-gtk)
    
    %description devel
    %{common_description}

Here is the log that I tried to install this package in my environment::
  $ sudo rpm -ivh ~/rpmbuild/RPMS/noarch/golang-github-anacrolix-dms-devel-0-0.1.20190304git8af4925.fc29.noarch.rpm 
  error: Failed dependencies:
          golang(github.com/mattn/go-gtk/gdk) is needed by golang-github-anacrolix-dms-devel-0-0.1.20190304git8af4925.fc29.noarch
          golang(github.com/mattn/go-gtk/gtk) is needed by golang-github-anacrolix-dms-devel-0-0.1.20190304git8af4925.fc29.noarch


Thanks in advance,
Hirotaka Wakabayashi

Comment 3 Robert-André Mauchin 2019-04-07 16:55:03 UTC
> + Requires: golang(github.com/mattn/go-gtk)

No, the Requires are automatically computed in Golang packages

What you should do is add the missing Requires to your fedora-review process with the -L parameters

Grab the missing dependency from my COPR: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone1.45/fedora-rawhide-x86_64/00873461-golang-github-mattn-gtk/
Copy it in a folder.

fedora-review --mock-config fedora-rawhide-x86_64 -n golang-github-anacrolix-dms -L path/to/the/folder/containing/the/dependency

Comment 4 Robert-André Mauchin 2019-04-07 16:55:50 UTC
And thanks for reviewing!

Comment 5 Hirotaka Wakabayashi 2019-04-08 21:22:29 UTC
Hello Robert-André,

Thank you for giving me a pointer. I was unfamiliar with fedora-review(I 
usually review manually by using Review Guidelines).

I think this package keeps requirements for quality because no critical issues
in my manual review in the comment #2 and the following fedora-review result,
which contains no [!]-marked tests and also no [?]-marked ones(I have already
reviewed [ ]-marked tests before I commented #2).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Unknown or
     generated". 21 files have unknown license. Detailed output of
     licensecheck in /home/vagrant/golang-github-anacrolix-dms/review-
     golang-github-anacrolix-dms/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-roaringbitmap-roaring-
     devel, golang-github-mitchellh-cli-devel, golang-github-circonus-labs-
     circonusllhist-devel, golang-github-golang-glog-devel, golang-github-
     cpu-goacmedns-devel, dep-devel, golang-github-thejerf-suture-devel,
     golang-github-wellington-libsass-devel, golang-github-smartystreets-
     goconvey-devel, golang-github-cpuguy83-go-md2man-devel, golang-github-
     nightlyone-lockfile-devel, golang-github-nwaples-rardecode-devel,
     golang-github-mattn-go-colorable-devel, golang-github-lucasb-eyer-
     colorful-devel, golang-github-ncw-acd-devel, golang-github-getsentry-
     raven-go-devel, golang-github-shurcool-webdavfs-devel, golang-github-
     google-go-cmp-devel, godoctor-golang-github-godoctor-devel, golang-
     github-fsnotify-fsnotify-devel, golang-github-thorduri-libusb-devel,
     golang-github-tdewolff-minify-devel, golang-github-hashicorp-serf-
     devel, golang-github-jinzhu-gorm-devel, golang-github-BurntSushi-
     xgbutil-devel, golang-github-mdlayher-wifi-devel, golang-github-
     openzipkin-zipkin-devel, golang-github-gonum-floats-devel, golang-
     github-beevik-ntp-devel, golang-github-coreos-go-semver-devel, golang-
     github-zyedidia-poller-devel, golang-github-SAP-go-hdb-devel, golang-
     github-neelance-sourcemap-devel, golang-github-shurcool-users-devel,
     golang-github-codahale-aesnicheck-devel, etcd-devel, golang-github-
     billziss-gh-cgofuse-devel, golang-github-google-gofuzz-devel, golang-
     github-hashicorp-go-checkpoint-devel, golang-github-chzyer-logex-
     devel, golang-googlecode-goprotobuf-devel, golang-github-hashicorp-go-
     sockaddr-devel, golang-github-opencontainers-runtime-spec-devel,
     golang-github-delve-devel, golang-github-ncw-dropbox-sdk-unofficial-
     devel, golang-github-google-uuid-devel, golang-github-BurntSushi-
     graphics-go-devel, golang-github-prometheus-client_golang-devel,
     golang-github-agl-ed25519-devel, golang-github-Shopify-toxiproxy-
     devel, golang-github-lib-pq-devel, golang-github-Sirupsen-logrus-
     devel, golang-github-cosmos72-gomacro-devel, golang-github-marstr-
     guid-devel, golang-github-cznic-ql-devel, golang-github-dgryski-
     bitstream-devel, golang-github-shurcool-gofontwoff-devel, golang-
     github-denverdino-aliyungo-devel, golang-github-evanphx-json-patch-
     devel, golang-github-Azure-azure-sdk-for-go-devel, golang-github-
     denisenkom-go-mssqldb-devel, golang-github-miekg-pkcs11-devel, golang-
     github-alecthomas-template-devel, golang-github-coreos-bbolt-devel,
     golang-github-aclements-gg-devel, golang-github-shurcool-events-devel,
     golang-github-shurcool-httpgzip-devel, golang-github-hashicorp-
     version-devel, golang-github-jmank88-nuts-devel, golang-github-
     julienschmidt-httprouter-devel, golang-gopkg-yaml-devel-v2, golang-
     github-t3rm1n4l-go-mega-devel, golang-github-rcrowley-go-metrics-
     devel, golang-github-git-lfs-netrc-devel, golang-github-lsegal-
     gucumber-devel, golang-github-coreos-go-oidc-devel, golang-github-
     syncthing-notify-devel, golang-github-unknwon-goconfig-devel, golang-
     github-yunify-qingstor-sdk-devel, golang-github-hako-durafmt-devel,
     golang, golang-github-nsf-termbox-devel, golang-github-cespare-xxhash-
     devel, golang-github-thomsonreuterseikon-ntlm-devel, golang-github-
     gonum-blas-devel, golang-github-pelletier-go-buffruneio-devel, golang-
     github-gonum-lapack-devel, golang-github-facebookgo-atomicfile-devel,
     golang-github-Masterminds-semver-devel, golang-github-alecthomas-
     units-devel, golang-github-pkg-sftp-devel, golang-github-aead-
     poly1305-devel, golang-github-hashicorp-consul-migrate-devel,
     syncthing-devel, golang-github-mock-devel, golang-github-bitly-
     simplejson-devel, golang-github-spf13-pflag-devel, golang-github-
     shurcool-octiconssvg-devel, golang-github-jmespath-go-jmespath-devel,
     golang-github-kr-pty-devel, golang-github-alecthomas-repr-devel,
     golang-github-DATA-DOG-go-sqlmock-devel, golang-github-howeyc-gopass-
     devel, golang-github-aws-aws-sdk-go-devel, golang-github-shurcool-
     reactions-devel, golang-github-eapache-queue-devel, golang-github-
     jawher-mow-cli-devel, golang-github-xanzy-ssh-agent-devel, golang-
     github-minio-devel, golang-github-mreiferson-go-httpclient-devel,
     golang-github-cenkalti-backoff-devel, golang-github-hashicorp-hcl-
     devel, golang-github-cloudflare-devel, golang-github-gengo-grpc-
     gateway-devel, golang-github-pierrec-lz4-devel, golang-github-
     nicksnyder-i18n-devel, golang-github-inconshreveable-mousetrap-devel,
     golang-github-elazarl-go-bindata-assetfs-devel, golang-github-
     hashicorp-scada-client-devel, golang-github-git-time-metric-gtm-devel,
     golang-github-hashicorp-raft-boltdb-devel, golang-github-vividcortex-
     ewma-devel, golang-github-gdamore-encoding-devel, golang-github-
     facebookgo-pidfile-devel, golang-github-anmitsu-shlex-devel, golang-
     github-imdario-mergo-devel, golang-github-abbot-go-http-auth-devel,
     golang-github-klauspost-compress-devel, golang-github-kisielk-gotool-
     devel, golang-github-go-ini-ini-devel, golang-github-google-martian-
     devel, golang-github-zyedidia-clipboard-devel, golang-github-
     bmizerany-assert-devel, glide-devel, golang-github-calmh-xdr-devel,
     golang-github-emicklei-go-restful-devel, golang-github-calmh-du-devel,
     golang-github-magiconair-properties-devel, golang-github-
     kimor79-gollectd-devel, golang-github-huandu-xstrings-devel, golang-
     github-shurcool-htmlg-devel, golang-github-mitchellh-reflectwalk-
     devel, golang-github-shurcool-home-devel, golang-github-chmduquesne-
     rollinghash-devel, golang-github-disintegration-imaging-devel, golang-
     github-influxdb-rocksdb-devel, golang-github-AdRoll-goamz-devel,
     golang-github-a8m-tree-devel, golang-github-BurntSushi-xgb-devel,
     golang-github-jinzhu-now-devel, golang-github-posener-complete-devel,
     golang-github-kr-fs-devel, golang-github-alecthomas-colour-devel,
     golang-github-sourcegraph-syntaxhighlight-devel, golang-github-
     cheggaaa-pb-devel, golang-github-azure-pipeline-devel, golang-github-
     xtaci-smux-devel, golang-github-coreos-gexpect-devel, golang-github-
     shurcool-httpfs-devel, golang-github-dropbox-sdk-unofficial-devel,
     golang-github-garyburd-redigo-devel, golang-github-gonum-matrix-devel,
     golang-github-shurcool-highlight-diff-devel, golang-github-hashicorp-
     go-multierror-devel, golang-github-patrickmn-go-cache-devel, golang-
     github-google-go-querystring-devel, golang-github-mitchellh-
     hashstructure-devel, golang-github-tdewolff-parse-devel, golang-
     github-prometheus-procfs-devel, golang-github-mxk-go-flowrate-devel,
     golang-github-hashicorp-logutils-devel, golang-github-gdamore-tcell-
     devel, golang-github-docker-go-units-devel, golang-github-tarm-serial-
     devel, golang-github-mattn-shellwords-devel, golang-github-hashicorp-
     golang-lru-devel, golang-github-jonboulle-clockwork-devel, golang-
     github-kardianos-service-devel, golang-github-shurcool-markdownfmt-
     devel, golang-github-bep-tocss-devel, golang-github-microcosm-cc-
     bluemonday-devel, golang-github-hashicorp-go-retryablehttp-devel,
     golang-github-azure-autorest-devel, golang-github-codegangsta-cli-
     devel, golang-github-goftp-server-devel, golang-github-namedotcom-
     devel, golang-github-racker-perigee-devel, golang-github-shurcool-
     frontend-devel, golang-github-kr-text-devel, golang-github-influxdb-
     go-cache-devel, golang-github-pmezard-go-difflib-devel, golang-github-
     boltdb-bolt-devel, golang-github-shurcool-issuesapp-devel, golang-
     github-exoscale-egoscale-devel, golang-github-rfjakob-eme-devel,
     golang-github-cockroachdb-cockroach-go-devel, golang-github-bep-
     debounce-devel, golang-github-pelletier-go-toml-devel, golang-github-
     gorilla-context-devel, golang-github-globalsign-mgo-devel, golang-
     github-go-sql-driver-mysql-devel, golang-github-sdboyer-constext-
     devel, golang-github-coreos-pkg-devel, golang-github-juju-ratelimit-
     devel, golang-github-shurcool-goon-devel, golang-github-pkg-errors-
     devel, golang-github-shurcool-highlight-devel, golang-github-kdar-
     factorlog-devel, golang-github-prometheus-client_model-devel, golang-
     github-hashicorp-go-msgpack-devel, golang-github-matttproud-
     golang_protobuf_extensions-devel, golang-github-docker-go-connections-
     devel, golang-github-hashicorp-hil-devel, golang-github-buger-
     jsonparser-devel, golang-github-mschoch-smat-devel, golang-github-
     gogo-protobuf-devel, golang-github-hashicorp-net-rpc-msgpackrpc-devel,
     golang-github-ema-qdisc-devel, golang-github-digitalocean-godo-devel,
     golang-github-jacobsa-oglematchers-devel, golang-github-
     jedisct1-dnsstamps-devel, golang-github-jlaffaye-ftp-devel, golang-
     github-docker-go-devel, golang-github-shurcool-graphql-devel, golang-
     github-pebbe-zmq4-devel, golang-github-godbus-dbus-devel, golang-
     github-inconshreveable-muxado-devel, golang-github-ugorji-go-devel,
     golang-github-zyedidia-tcell-devel, golang-github-onsi-gomega-devel,
     golang-github-mdlayher-genetlink-devel, golang-github-mdlayher-
     netlink-devel, golang-github-peterbourgon-diskv-devel, golang-github-
     grpc-ecosystem-grpc-gateway-devel, golang-github-data-dog-txdb-devel,
     golang-github-hashicorp-errwrap-devel, golang-github-bgentry-go-netrc-
     devel, golang-github-dsnet-compress-devel, golang-github-hashicorp-
     yamux-devel, golang-github-willf-bitset-devel, golang-github-bugsnag-
     panicwrap-devel, golang-github-ncw-swift-devel, golang-github-
     jedisct1-clocksmith-devel, golang-github-kurin-blazer-devel, golang-
     github-10gen-escaper-devel, golang-github-git-lfs-devel, golang-
     github-ghodss-yaml-devel, golang-github-shurcool-notificationsapp-
     devel, golang-github-shurcool-component-devel, golang-github-matryer-
     try-devel, golang-github-olekukonko-ts-devel, golang-github-tg-
     gosortmap-devel, golang-github-google-pprof-devel, golang-github-
     mitchellh-go-homedir-devel, golang-github-mattn-tty-devel, golang-
     github-shurcool-issues-devel, golang-github-jfrazelle-go-devel,
     golang-github-mitchellh-copystructure-devel, golang-github-bgentry-
     speakeasy-devel, golang-github-docker-spdystream-devel, golang-github-
     stretchr-testify-devel, golang-github-bmizerany-perks-devel, golang-
     github-rican7-retry-devel, golang-github-chzyer-test-devel, golang-
     github-ianlancetaylor-demangle-devel, golang-github-ryszard-
     goskiplist-devel, golang-github-circonus-labs-circonus-gometrics-
     devel, golang-github-timewasted-linode-devel, golang-github-onsi-
     ginkgo-devel, golang-github-tinylib-msgp-devel, golang-github-keybase-
     go-crypto-devel, golang-github-ryanuber-columnize-devel, golang-
     github-gliderlabs-ssh-devel, golang-github-gofrs-flock-devel, golang-
     github-aclements-moremath-devel, golang-github-gorilla-sessions-devel,
     golang-github-libgit2-git2go-devel, golang-github-sevlyar-daemon-
     devel, golang-github-xlab-handysort-devel, golang-github-soundcloud-
     runit-devel, golang-github-cockroachdb-cmux-devel, golang-github-
     philhofer-fwd-devel, golang-github-armon-go-proxyproto-devel, golang-
     github-3rf-mongo-lint-devel, golang-github-bradfitz-smtpd-devel,
     golang-github-census-instrumentation-opencensus-proto-devel, golang-
     github-src-d-gcfg-devel, golang-github-google-cmp-devel, golang-
     github-DataDog-datadog-go-devel, golang-github-jedisct1-dlog-devel,
     golang-github-mitchellh-mapstructure-devel, golang-github-blang-
     semver-devel, golang-github-gorilla-websocket-devel, golang-github-
     hashicorp-go-memdb-devel, golang-github-nwidger-jsoncolor-devel,
     golang-github-hashicorp-raft-devel, golang-github-jtolds-gls-devel,
     golang-github-gonum-graph-devel, golang-github-karlseguin-expect-
     devel, golang-github-mattn-go-sqlite3-devel, golang-github-aead-
     chacha20-devel, golang-github-data-dog-godog-devel, golang-github-
     bradfitz-http2-devel, golang-github-olekukonko-tablewriter-devel,
     golang-github-googlecloudplatform-cloudsql-proxy-devel, golang-github-
     hashicorp-go-syslog-devel, golang-github-dgrijalva-jwt-go-devel,
     golang-github-flynn-json5-devel, golang-github-golang-groupcache-
     devel, golang-github-fatih-set-devel, golang-github-klauspost-
     crc32-devel, golang-github-vividcortex-godaemon-devel, golang-github-
     russross-blackfriday-devel, golang-github-jessevdk-go-flags-devel,
     golang-github-linode-linodego-devel, golang-github-miekg-dns-devel,
     golang-github-anacrolix-envpprof-devel, golang-github-
     spf13-jwalterweatherman-devel, golang-github-satori-uuid-devel,
     golang-github-git-lfs-wildmatch-devel, golang-github-coreos-go-
     iptables-devel, golang-github-alecthomas-assert-devel, golang-github-
     marstr-collection-devel, golang-github-shurcool-devel, golang-github-
     dustin-go-humanize-devel, golang-github-go-tomb-tomb-devel-v2, golang-
     github-freetype-devel, golang-github-bmizerany-pat-devel, golang-
     github-ulikunitz-xz-devel, golang-github-dimchansky-utfbom-devel,
     golang-github-google-go-github-devel, golang-github-nrdcg-auroradns-
     devel, golang-github-marstr-goalias-devel, golang-github-markbates-
     inflect-devel, golang-github-MakeNowJust-heredoc-devel, golang-github-
     xtaci-kcp-go-devel, golang-github-fatih-color-devel, golang-github-
     robertkrimen-otto-devel, golang-github-go-ldap-ldap-devel, golang-
     github-hawkular-hawkular-client-go-devel, golang-github-neelance-
     astrewrite-devel, golang-github-d2g-dhcp4client-devel, golang-github-
     elithrar-simple-scrypt-devel, golang-github-shirou-gopsutil-devel,
     golang-github-dnaeon-vcr-devel, golang-github-apache-thrift-devel,
     golang-github-kballard-go-shellquote-devel, golang-github-armon-go-
     radix-devel, golang-github-bradfitz-iter-devel, golang-github-
     burntsushi-locker-devel, golang-github-eapache-go-resiliency-devel,
     golang-github-k-sone-critbitgo-devel, golang-github-bradfitz-
     gomemcache-devel, golang-github-coreos-go-log-devel, mongo-tools-
     devel, golang-github-pkg-xattr-devel, golang-github-akrennmair-gopcap-
     devel, golang-github-googleapis-gax-devel, golang-github-zyedidia-pty-
     devel, golang-github-mholt-archiver-devel, golang-github-jamesclonk-
     vultr-devel, golang-github-peterh-liner-devel, golang-github-sanity-
     io-litter-devel, golang-github-ttacon-chalk-devel, golang-github-
     samalba-dockerclient-devel, golang-github-briandowns-spinner-devel,
     golang-github-alcortesm-tgz-devel, golang-github-Masterminds-vcs-
     devel, golang-github-daviddengcn-go-colortext-devel, golang-github-
     restic-chunker-devel, golang-github-dchest-safefile-devel, golang-
     github-hashicorp-memberlist-devel, golang-github-urfave-cli-devel,
     golang-github-shurcool-githubql-devel, golang-github-beorn7-perks-
     devel, golang-github-spf13-cobra-devel, golang-github-spf13-cast-
     devel, golang-github-opendns-vegadns2client-devel, golang-github-
     petar-GoLLRB-devel, golang-github-sergi-go-diff-devel, golang-github-
     okzk-sdnotify-devel, golang-github-chaseadamsio-goorgeous-devel,
     golang-github-pquerna-cachecontrol-devel, golang-github-mattn-go-
     runewidth-devel, golang-github-git-lfs-gitobj-devel, golang-github-
     pkg-profile-devel, golang-github-djherbis-times-devel, golang-github-
     gopherjs-devel, golang-github-spf13-viper-devel, golang-github-yuin-
     gopher-lua-devel, golang-github-cosiner-argv-devel, golang-github-
     russross-blackfriday-v2-devel, golang-github-pengsrc-shared-devel,
     golang-github-transip-gotransip-devel, golang-github-shopspring-
     decimal-devel, golang-github-chrismalek-oktasdk-go-devel, golang-
     github-spacemonkeygo-flagfile-devel, golang-github-jbenet-context-
     devel, golang-github-armon-go-metrics-devel, golang-github-tdewolff-
     test-devel, golang-github-bkaradzic-go-lz4-devel, golang-github-
     jmhodges-levigo-devel, golang-github-davecgh-go-spew-devel, golang-
     github-mattn-go-isatty-devel, golang-github-marstr-randname-devel,
     golang-github-jfrogdev-gofrog-devel, golang-github-hashicorp-go-
     cleanhttp-devel, golang-github-calmh-luhn-devel, golang-github-tambet-
     asana-devel, golang-github-kevinburke-ssh-config-devel, golang-github-
     docker-libtrust-devel, golang-github-sourcegraph-annotate-devel,
     golang-github-hashicorp-mdns-devel, golang-github-kolo-xmlrpc-devel,
     golang-github-azure-storage-blob-devel, golang-github-ovh-devel,
     golang-github-gorilla-securecookie-devel, golang-github-emirpasic-
     gods-devel, golang-github-dgnorton-goback-devel, golang-github-
     jedisct1-xsecretbox-devel, golang-github-pascaldekloe-goe-devel,
     golang-github-pkg-term-devel, golang-github-dvsekhvalnov-jose2go-
     devel, golang-github-zyedidia-glob-devel, golang-github-smartystreets-
     assertions-devel, golang-github-karlseguin-ccache-devel, golang-
     github-ajstarks-svgo-devel, golang-github-kylelemons-godebug-devel,
     golang-github-gregjones-httpcache-devel, golang-github-
     jedisct1-minisign-devel, golang-github-prometheus-common-devel,
     golang-github-gorilla-mux-devel, golang-github-zyedidia-terminal-
     devel, golang-github-10gen-openssl-devel, golang-github-hashicorp-
     raft-mdb-devel, golang-github-d2g-dhcp4-devel, golang-github-vbatts-
     tar-split-devel, golang-github-hashicorp-go-uuid-devel, golang-github-
     kardianos-osext-devel, golang-github-shurcool-httperror-devel, golang-
     github-rainycape-memcache-devel, golang-github-jellevandenhooff-dkim-
     devel, golang-github-influxdb-gomdb-devel, golang-github-google-btree-
     devel, golang-github-armon-circbuf-devel, golang-github-shurcool-
     notifications-devel, golang-github-BurntSushi-toml-devel, golang-
     github-kr-pretty-devel, golang-github-cloudfoundry-incubator-
     candiedyaml-devel, golang-github-coreos-go-etcd-devel, golang-github-
     tv42-httpunix-devel, golang-github-mistifyio-go-zfs-devel, golang-
     github-spacemonkeygo-spacelog-devel, golang-github-coreos-go-systemd-
     devel, golang-github-hashicorp-go-immutable-radix-devel, golang-
     github-shurcool-flavored-markdown-devel, golang-github-skratchdot-
     open-golang-devel, golang-github-asaskevich-govalidator-devel, golang-
     github-gorilla-handlers-devel, golang-github-armon-gomdb-devel,
     golang-github-appc-spec-devel, golang-github-boombuler-barcode-devel,
     golang-googlecode-gogoprotobuf-devel, golang-github-dsnet-golib-devel,
     golang-github-glycerine-unsnap-stream-devel, golang-github-mitchellh-
     go-wordwrap-devel, golang-github-bruth-assert-devel),
     /usr/share/gocode/src/github.com/anacrolix(golang-github-anacrolix-
     envpprof-devel)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-anacrolix-dms-devel-0-0.1.20190304git8af4925.fc29.noarch.rpm
          golang-github-anacrolix-dms-0-0.1.20190304git8af4925.fc29.src.rpm
golang-github-anacrolix-dms-devel.noarch: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US transcoded -> trans coded, trans-coded, transcended
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffprobe -> ff probe, ff-probe, probe
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US avprobe -> av probe, av-probe, probe
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffmpeg -> MPEG
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US avconv -> concave
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US transoding -> transcending, transposing, transporting
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffmpegthumbnailer -> thumbnail
golang-github-anacrolix-dms-devel.noarch: W: no-documentation
golang-github-anacrolix-dms-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/anacrolix/dms/.goipath
golang-github-anacrolix-dms.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US transcoded -> trans coded, trans-coded, transcended
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US ffprobe -> ff probe, ff-probe, probe
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US avprobe -> av probe, av-probe, probe
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US ffmpeg -> MPEG
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US avconv -> concave
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US transoding -> transcending, transposing, transporting
golang-github-anacrolix-dms.src: W: spelling-error %description -l en_US ffmpegthumbnailer -> thumbnail
golang-github-anacrolix-dms.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 21 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
golang-github-anacrolix-dms-devel.noarch: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US transcoded -> trans coded, trans-coded, transcended
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffprobe -> ff probe, ff-probe, probe
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US avprobe -> av probe, av-probe, probe
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffmpeg -> MPEG
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US avconv -> concave
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US transoding -> transcending, transposing, transporting
golang-github-anacrolix-dms-devel.noarch: W: spelling-error %description -l en_US ffmpegthumbnailer -> thumbnail
golang-github-anacrolix-dms-devel.noarch: W: invalid-url URL: https://github.com/anacrolix/dms <urlopen error [Errno -2] Name or service not known>
golang-github-anacrolix-dms-devel.noarch: W: no-documentation
golang-github-anacrolix-dms-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/anacrolix/dms/.goipath
1 packages and 0 specfiles checked; 0 errors, 12 warnings.



Source checksums
----------------
https://github.com/anacrolix/dms/archive/8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e/dms-8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e.tar.gz :
  CHECKSUM(SHA256) this package     : 50a0debc7ce9d8433ad75de4b4a3ba70743e67f210ac1d142f57e4517bde1f9f
  CHECKSUM(SHA256) upstream package : 50a0debc7ce9d8433ad75de4b4a3ba70743e67f210ac1d142f57e4517bde1f9f


Requires
--------
golang-github-anacrolix-dms-devel (rpmlib, GLIBC filtered):
    golang(github.com/mattn/go-gtk/gdk)
    golang(github.com/mattn/go-gtk/gtk)
    golang(golang.org/x/net/ipv4)



Provides
--------
golang-github-anacrolix-dms-devel:
    golang(github.com/anacrolix/dms/dlna)
    golang(github.com/anacrolix/dms/dlna)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang(github.com/anacrolix/dms/misc)
    golang(github.com/anacrolix/dms/misc)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang(github.com/anacrolix/dms/rrcache)
    golang(github.com/anacrolix/dms/rrcache)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang(github.com/anacrolix/dms/soap)
    golang(github.com/anacrolix/dms/soap)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang(github.com/anacrolix/dms/ssdp)
    golang(github.com/anacrolix/dms/ssdp)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang(github.com/anacrolix/dms/upnp)
    golang(github.com/anacrolix/dms/upnp)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang(github.com/anacrolix/dms/upnpav)
    golang(github.com/anacrolix/dms/upnpav)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)
    golang-github-anacrolix-dms-devel
    golang-ipath(github.com/anacrolix/dms)
    golang-ipath(github.com/anacrolix/dms)(commit=8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e)



Generated by fedora-review 0.7.0 (59d9f6a) last change: 2019-03-11
Command line :/usr/bin/fedora-review -v --mock-config fedora-29-x86_64 -n golang-github-anacrolix-dms -L local_repo
Buildroot used: fedora-29-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Perl, PHP, Ocaml, R, fonts, C/C++, Haskell, SugarActivity, Java, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Built with local dependencies:
    /home/vagrant/golang-github-anacrolix-dms/local_repo/golang-github-mattn-gtk-devel-0-0.1.20190325gite9a6766.fc31.noarch.rpm
    /home/vagrant/golang-github-anacrolix-dms/local_repo/golang-github-mattn-pointer-devel-0-0.1.20190325git49522c3.fc31.noarch.rpm


Thanks in advance,
Hirotaka Wakabayashi

Comment 6 Robert-André Mauchin 2019-04-08 21:26:17 UTC
So if there is no issue, would you approve the package?

Comment 7 Hirotaka Wakabayashi 2019-04-08 23:56:18 UTC
Hello Robert-André,

I reviewed golang-github-anacrolix-dms and it meets requirements for quality. 

Best Regards,
Hirotaka Wakabayashi

Comment 8 Robert-André Mauchin 2019-04-09 00:05:53 UTC
Thanks so much!

Comment 9 Fedora Update System 2019-04-09 16:08:56 UTC
golang-github-anacrolix-dms-0-0.1.20190409git8af4925.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5dcc290ee

Comment 10 Fedora Update System 2019-04-09 16:56:10 UTC
golang-github-anacrolix-dms-0-0.1.20190409git8af4925.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dc697c8193

Comment 11 Fedora Update System 2019-04-10 07:09:51 UTC
golang-github-anacrolix-dms-0-0.1.20190409git8af4925.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dc697c8193

Comment 12 Fedora Update System 2019-04-10 14:37:57 UTC
golang-github-anacrolix-dms-0-0.1.20190409git8af4925.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5dcc290ee

Comment 13 Fedora Update System 2019-04-15 00:02:14 UTC
golang-github-anacrolix-dms-0-0.1.20190409git8af4925.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.